//
//  Game.hpp
//  papTermOneCourseWork
//
//  Created by Charles Ringer on 10/11/2015.
//
//

#ifndef Game_hpp
#define Game_hpp

#include <stdio.h>

#include "ofMain.h"
#include "Wall.hpp"
#include "Player.hpp"
#include "Vision.hpp"
#include "Endpoint.hpp"
#include "Enemy.hpp"
#include "ImageBank.hpp"

class Game
{
private:
    ImageBank imgBank;
    vector<Wall> walls;
    vector<Enemy> enemies;
    Player *player;
    Vision *vision = new Vision();
    Endpoint *end;
    ofImage bgImage;
    
    
public:
    Game(string wallLocations);
    
    void update();
    void disp();
    void handleKeyPressed(int key);
    void handleKeyReleased(int key);
    int getState();
};


#endif /* Game_hpp */
